# Magento2 Module - Montonio_Shipping

    montonio/module-shipping

https://montonio.com/ shipping gateway extension for Magento 2

## Installation

#### With Composer from artifact (local filesystem) repository

    composer config repositories.montonio artifact /ARTIFACT/FOLDER/PATH
    composer require "montonio/module-shipping";
    php bin/magento module:enable Montonio_Shipping;
    php bin/magento setup:upgrade;
    php bin/magento setup:di:compile; #only needed in default or production mode
    php bin/magento cache:flush;

#### With Composer from marketplace or any other composer channel

    composer require "montonio/module-shipping";
    php bin/magento module:enable Montonio_Shipping;
    php bin/magento setup:upgrade;
    php bin/magento setup:di:compile; #only needed in default or production mode
    php bin/magento cache:flush;

#### From Zip file

    mkdir -p app/code/Montonio/Shipping
    #extract package to that folder
    php bin/magento module:enable Montonio_Shipping;
    php bin/magento setup:upgrade;
    php bin/magento setup:di:compile; #only needed in default or production mode
    php bin/magento cache:flush;

## Removal

#### With Composer

    php bin/magento module:disable Montonio_Shipping
    composer remove "montonio/module-shipping";
    php bin/magento setup:upgrade;
    php bin/magento setup:di:compile; #only needed in default or production mode
    php bin/magento cache:flush;

#### From app/code

    php bin/magento module:disable Montonio_Shipping
    rm -rf app/code/Montonio/Shipping
    php bin/magento setup:upgrade;
    php bin/magento setup:di:compile; #only needed in default or production mode
    php bin/magento cache:flush;

