define(
    [
        'uiComponent',
        'Magento_Checkout/js/model/shipping-rates-validator',
        'Magento_Checkout/js/model/shipping-rates-validation-rules',
        '../model/shipping-rates-validator/montonioshipping',
        '../model/shipping-rates-validation-rules/montonioshipping'
    ],
    function (
        Component,
        defaultShippingRatesValidator,
        defaultShippingRatesValidationRules,
        shippingRatesValidator,
        shippingRatesValidationRules
    ) {
        'use strict';
        defaultShippingRatesValidator.registerValidator('montonioshipping', shippingRatesValidator);
        defaultShippingRatesValidationRules.registerRules('montonioshipping', shippingRatesValidationRules);
        return Component;
    }
);